Name:           mate-system-monitor
Version:        1.5.1
Release:        1%{?dist}
Summary:        Process and resource monitor

License:        GPLv2+
URL:            http://mate-desktop.org
Source0:        http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz
# upstream commit https://github.com/mate-desktop/mate-system-monitor/commit/6d06a224d764c5b58127f665b2fcfa7eeac080ee
#Patch0:         desktopfile_fix.patch

BuildRequires: libgtop2-devel
BuildRequires: desktop-file-utils
BuildRequires: libmatewnck-devel
BuildRequires: pango-devel
BuildRequires: gtk2-devel
BuildRequires: gtkmm24-devel
BuildRequires: startup-notification-devel
BuildRequires: rarian-compat
BuildRequires: libselinux-devel
BuildRequires: mate-icon-theme-devel
BuildRequires: pcre-devel
BuildRequires: librsvg2-devel
BuildRequires: libxml2-devel
BuildRequires: mate-doc-utils
BuildRequires: mate-common
BuildRequires: dbus-glib-devel

Requires: mate-desktop


%description
mate-system-monitor allows to graphically view and manipulate the running
processes on your system. It also provides an overview of available resources
such as CPU and memory.

%prep
%setup -q
#%patch0 -p1
NOCONFIGURE=1 ./autogen.sh

%build
%configure \
        --disable-static \
        --disable-scrollkeeper 

make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --delete-original             \
  --remove-category=MATE                           \
  --add-category=X-Mate                            \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
  $RPM_BUILD_ROOT%{_datadir}/applications/mate-system-monitor.desktop

%find_lang %{name} --with-gnome

%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc AUTHORS NEWS COPYING README
%{_bindir}/mate-system-monitor
%{_datadir}/applications/mate-system-monitor.desktop
%{_datadir}/pixmaps/mate-system-monitor/
%{_datadir}/glib-2.0/schemas/org.mate.system-monitor.*.xml
%{_datadir}/mate/help/mate-system-monitor/
%{_datadir}/MateConf/gsettings/mate-system-monitor.convert


%changelog
* Sun Mar 03 2013 Dan Mashal <dan.mashal@fedoraproject.org> 1.5.1-1
- Latest upstream release

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 26 2012 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.0-2
- drop deprecated mate-vfs BR

* Thu Nov 08 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.5.0-1
- update to 1.5.0 release

* Fri Oct 19 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-2
- add build requires libxml2-devel

* Thu Oct 18 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-1
- Initial build

